package com.example.switchyard.switchyard_database_binding;

import org.switchyard.component.bean.Service;

@Service(ServiceInterface.class)
public class ServiceInterfaceBean implements ServiceInterface {

	@Override
	public void invoke(TestEntity te) {
		System.out.println(te);
		te.setStatus(TestEntityStatus.PROCESSED);
		
		// Try-Catch used as a workaround
//		try {
			// Do business work
			if(te.getPayLoad().equals("fail")) {
				throw new RuntimeException("Cannot proceed");
			}
//		} catch(Exception e) {
//			te.setStatus(TestEntityStatus.FAILED);
//		}
	}

}
