package com.example.switchyard.switchyard_database_binding;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class TestEntityDAO {
	@PersistenceContext
	private EntityManager em;
	
	public TestEntity get(Long id) {
		if(id == null)
			return null;
		return em.find(TestEntity.class, id);
	}
	
	public boolean delete(Long id) {
		TestEntity te = get(id);
		if(te != null) {
			em.remove(te);
			return true;
		} else {
			return false;
		}
	}
	
	public TestEntity insert(TestEntity testEntity) {
		if(
				em.contains(testEntity)
			|| (testEntity.getId() != null && em.find(TestEntity.class, testEntity.getId()) != null)
		) {
			em.merge(testEntity);
		} else {
			em.persist(testEntity);
		}
		return testEntity;
	} 
}
